Bug 471728 - Live CD: hald fails with "Unable to open cache"
Live CD: hald fails with "Unable to open cache"
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: livecd-tools (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-15 03:05 EST by Gordon Messmer
Modified: 2009-01-03 00:31 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-19 12:40:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gordon Messmer 2008-11-15 03:05:49 EST
Description of problem:

Looks the same as bug 243482

I created a Live CD (usb drive, actually) of rawhide this evening.  The resulting system had a /var/cache/hald/ that was owned by root rather than haldaemon.  "hald" could not start because it could not open its cache file.  I resolved the problem by making "haldaemon:haldaemon" the owner of /var/cache/hald and its contents.

This problem didn't affect the system I installed with anaconda a week or so ago, but it makes X unusable in live cds at least.  I'm not sure how to track the cause down further to make sure it won't affect the general release.

Version-Release number of selected component (if applicable):
hal-0.5.12-12.20081027git.fc10.i386
Comment 1 Orion Poplawski 2008-11-17 16:52:31 EST
Make sure nscd is not running on the system you are building the live image on.
Comment 2 Gordon Messmer 2008-11-17 21:41:29 EST
I gave that a shot to no effect.  /var/cache/hald is still owned by root, and hald won't run.
Comment 3 Orion Poplawski 2008-11-18 17:03:35 EST
I'm changing the component to livecd-tools because this is almost certainly an issue with building the livecd.  If you look at the output of your livecd-creator run you'll see messages like "unknown user haldaemon - using root".  In my case, this is caused by nscd running.  Perhaps in your case it's something else.  I'd like to see both fixed, but I'm not sure what the issue is exactly.
Comment 4 Jeremy Katz 2008-11-18 18:07:11 EST
Can you attach the output of running livecd-creator redirecting the output to a file?  

Orion -- nscd could cause a problem if the user isn't known outside the chroot because glibc will always prefer nscd for its answers.  I'm not really sure there's anything that can be done there
Comment 5 Bug Zapper 2008-11-26 00:26:12 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Jeremy Katz 2008-12-19 12:40:19 EST
Closing due to inactivity.  Please reopen if you have further information to add to this bug report.
Comment 7 Gordon Messmer 2009-01-03 00:31:32 EST
In case anyone comes across this bug report in the future:

I screwed up testing.  Turning off nscd before running livecd-creator will correct this problem.

Note You need to log in before you can comment on or make changes to this bug.